#!/usr/bin/env python
import coral

M = coral.loadModel("../CORE01.xmi")
print M
pe = M.elements.select(lambda x: x.name == "AnyElement")[0]
assert(pe)
conn = pe.properties.select(lambda x: x.name == "xmi_extension")[0]
assert(conn)

assert(conn.element_kind)

print conn.element_kind.name

